#
# spec file for package psqlODBC (Version 08.01.0102)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unixODBC unixODBC-devel unzip util-linux vim zlib zlib-devel

Name:           psqlODBC
BuildRequires:  postgresql-devel unixODBC-devel
URL:            http://pgfoundry.org/projects/psqlodbc
%define       tarname psqlodbc
Summary:        ODBC Driver for PostgreSQL
Version:        08.01.0102
Release:        13.2
License:        LGPL
Group:          Productivity/Databases/Clients
Source0:        %tarname-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      pg_odbc postgresql-odbc
Provides:       pg_odbc postgresql-odbc pg_iface:/usr/lib/pgsql/odbcinst.ini

%description
This package contains the ODBC (Open DataBase Connectivity) driver and
sample configuration files needed for applications to access a
PostgreSQL database using ODBC.



Authors:
--------
    Dave Page
    Peter Eisentraut
    Ludek Finstrle
    Bruce Momjian
    Anoop Kumar
    Hiroshi Saito

%debug_package
%prep
%setup -q -n %tarname-%version

%build
export CFLAGS="%optflags -fno-strict-aliasing -I/usr/include/pgsql"
%configure --with-unixodbc
make

%install
make DESTDIR=%buildroot install
rm -f %buildroot%_libdir/*.la

%clean
rm -rf %buildroot

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root,-)
%doc *.txt docs/*
%_libdir/psql*

%changelog -n psqlODBC
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - max@suse.de
- New version: 08.01.0102
* Mon Jul 04 2005 - max@suse.de
- Re-added -fno-strict-aliasing .
* Fri Jul 01 2005 - max@suse.de
- New version: 08.00.0101
- Building with support for unixODBC.
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Tue May 25 2004 - max@suse.de
- Adapted a patch from Debian to fix a buffer overflow in ODBC driver
  (src/interfaces/odbc/): added parameter for target buffer size to
  make_string() to prevent buffer overflows and corrected all calls to
  it (http://bugs.debian.org/247306, SuSE Bugzilla #40714).
  With previous versions it was possible to crash (and possibly
  exploit) e. g. apache if a PHP script connected to a ODBC database
  with very long credential strings (DSN, username, password, etc.).
* Fri Feb 06 2004 - max@suse.de
- Added -fno-strict-aliasing to CFLAGS.
* Thu Jan 15 2004 - max@suse.de
- New version: 07.03.0200
* Sun Jan 11 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Jan 09 2003 - max@suse.de
- psqlODBC (formerly postgresql-odbc) becomes a package of it's
  own, because it has been removed from the PostgreSQL
  core distribution and is now a separate project.
- New version: 7.2.5.
